Issue #7817 has been updated by injekt (Lee Jarvis).


I believe I did compile rc1 successfully but I can't reproduce since I have updated clang, chances are it probably doesn't compile properly, though.

I understand using an older version of clang would be an issue and that's fine, but we should state this in the install documentation somewhere, otherwise people using an older clang version having segfaults installing Ruby may not know to check this.
----------------------------------------
Bug #7817: (Unable to compile Ruby 2.0.0-rc2 on OSX (clang version 2.1)
https://bugs.ruby-lang.org/issues/7817#change-36131

Author: injekt (Lee Jarvis)
Status: Feedback
Priority: Normal
Assignee: 
Category: build
Target version: 2.0.0
ruby -v: 2.0.0-rc2


clang -v returns

Apple clang version 2.1 (tags/Apple/clang-163.7.1) (based on LLVM 3.0svn)
Target: x86_64-apple-darwin12.2.0
Thread model: posix

Here's the make output:

https://gist.github.com/injekt/4e26a6dee2ce42fc463d

The same version compiles fine with gcc on the same system, and reportedly compiles without issues on more recent versions of clang


-- 
http://bugs.ruby-lang.org/